Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Variables
imgerrs.h File Reference
`#include "errcode.h"`

Go to the source code of this file.

## Variables

const ERRCODE | BADIMAGETYPE = "Unrecognized image type"
const ERRCODE | CANTREADIMAGETYPE = "Can't read this image type"
const ERRCODE | CANTWRITEIMAGETYPE = "Can't write this image type"
const ERRCODE | IMAGEUNDEFINED = "Attempt to operate on undefined image"
const ERRCODE | BADIMAGECOORDS = "Coordinates in image out of bounds"
const ERRCODE | BADIMAGESEEK = "Can't seek backwards in a buffered image!"
const ERRCODE | BADIMAGESIZE = "Illegal image size"
const ERRCODE | BADIMAGEFORMAT = "Illegal image format"
const ERRCODE | BADBPP = "Only 1,2,4,5,6,8 bpp are supported"
const ERRCODE | BADWINDOW = "Convolution window must have odd dimensions"

## Variable Documentation

const ERRCODE BADBPP = "Only 1,2,4,5,6,8 bpp are supported"

Definition at line 33 of file imgerrs.h.

const ERRCODE BADIMAGECOORDS = "Coordinates in image out of bounds"

Definition at line 29 of file imgerrs.h.

const ERRCODE BADIMAGEFORMAT = "Illegal image format"

Definition at line 32 of file imgerrs.h.

const ERRCODE BADIMAGESEEK = "Can't seek backwards in a buffered image!"

Definition at line 30 of file imgerrs.h.

const ERRCODE BADIMAGESIZE = "Illegal image size"

Definition at line 31 of file imgerrs.h.

const ERRCODE BADIMAGETYPE = "Unrecognized image type"

Definition at line 25 of file imgerrs.h.

const ERRCODE BADWINDOW = "Convolution window must have odd dimensions"

Definition at line 34 of file imgerrs.h.

const ERRCODE CANTREADIMAGETYPE = "Can't read this image type"

Definition at line 26 of file imgerrs.h.

const ERRCODE CANTWRITEIMAGETYPE = "Can't write this image type"

Definition at line 27 of file imgerrs.h.

const ERRCODE IMAGEUNDEFINED = "Attempt to operate on undefined image"

Definition at line 28 of file imgerrs.h.